Bug 831981 - fix libjingle for udev merged into systemd
fix libjingle for udev merged into systemd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libjingle (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 831971
  Show dependency treegraph
 
Reported: 2012-06-14 04:41 EDT by Michal Schmidt
Modified: 2012-07-02 09:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-02 09:57:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2012-06-14 04:41:36 EDT
libjingle-0:0.6.14-1.fc18.i686

libjingle.spec has:
 BuildRequires:  libudev-devel
 ...
 Requires:       libudev

libudev is going to go away. For details see:
http://lists.fedoraproject.org/pipermail/devel/2012-June/168227.html

Please build against system-devel.
Please drop the explicit Requires:libudev. Explicit Requires on libraries are always suspicious. See:
http://fedoraproject.org/wiki/Packaging/Guidelines#Requires
Comment 1 Kay Sievers 2012-06-20 05:39:16 EDT
Ping!

Please rebuild the package, libudev0 will go away soon and the package will
no longer work as expected.
Comment 2 Michal Schmidt 2012-07-02 04:28:04 EDT
libjingle is one of the two last remaining users of the old libudev.

If this is not fixed soon, we'll use provenpackager powers to do it ourselves.
Comment 3 Tom "spot" Callaway 2012-07-02 09:39:50 EDT
I'm unsure why systemd won't be properly Providing libudev-devel/libudev, as that is what this package really needs, not systemd.
Comment 4 Tom "spot" Callaway 2012-07-02 09:57:26 EDT
Nevertheless, this is fixed in libjingle-0.6.14-2.fc18.

Note You need to log in before you can comment on or make changes to this bug.